"use strict";
function parseWildcard(str) {
    'use strict';
    str = str.trim();
    str.split('.').join('\\.')
        .split('?').join('\\?')
        .split('-').join('\\-')
        .split('{').join('\\{')
        .split('}').join('\\}')
        .split('|').join('\\|')
        .split('*').join('.*');
    return new RegExp('^' + str);
}
exports.parseWildcard = parseWildcard;
function parseAllows(str, entry) {
    'use strict';
    var arr, tmpStr;
    arr = str.split('Allow: ');
    entry.allow = entry.allow || [];
    for (var i = 1; i < arr.length; i += 1) {
        tmpStr = arr[i].split(/\r?\n/)[0].trim();
        if (tmpStr !== '') {
            entry.allow.push(parseWildcard(tmpStr));
        }
    }
}
exports.parseAllows = parseAllows;
function parseDisallows(str, entry) {
    'use strict';
    var arr, tmpStr;
    arr = str.split('Disallow: ');
    entry.disallow = entry.disallow || [];
    for (var i = 1; i < arr.length; i += 1) {
        tmpStr = arr[i].split(/\r?\n/)[0].trim();
        if (tmpStr !== '') {
            entry.disallow.push(parseWildcard(tmpStr));
        }
    }
}
exports.parseDisallows = parseDisallows;
function parseDelay(str, entry) {
    'use strict';
    var delay;
    delay = str.split('Crawl-delay: ');
    if (delay.length > 1) {
        entry.delay = parseInt(delay[1].split(/\r?\n/)[0], 10) * 1000;
    }
}
exports.parseDelay = parseDelay;
function removeComments(str) {
    'use strict';
    var arr = str.split(/\r?\n/), result = [];
    for (var i = 0; i < arr.length; i += 1) {
        if (!/^ *#/.test(arr[i])) {
            result.push(arr[i]);
        }
    }
    return result.join('\n');
}
exports.removeComments = removeComments;
function parse(str, entry) {
    'use strict';
    str = str.trim();
    str = removeComments(str);
    parseAllows(str, entry);
    parseDisallows(str, entry);
    parseDelay(str, entry);
}
exports.parse = parse;
//# sourceMappingURL=parser.js.map